Skip to main content
PATCH
/
v3
/
alert-rules
/
{alert_id}
Update by id
curl --request PATCH \
  --url https://{host}/v3/alert-rules/{alert_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "warning_threshold": 123,
  "critical_threshold": 123,
  "evaluation_delay": 123,
  "enable_notification": true
}
'
{
  "api_version": "3.0",
  "kind": "NORMAL",
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "name": "<string>",
    "organization": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>"
    },
    "metric": {
      "id": "<string>",
      "display_name": "<string>"
    },
    "evaluation_delay": 123,
    "model": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "version": "<string>"
    },
    "project": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>"
    },
    "baseline": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>"
    },
    "created_by": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "email": "jsmith@example.com",
      "full_name": "<string>"
    },
    "updated_by": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "email": "jsmith@example.com",
      "full_name": "<string>"
    },
    "is_fiddler_generated": true,
    "feature_names": [
      "<string>"
    ],
    "compare_bin_delta": 123,
    "category": "<string>",
    "auto_threshold_params": {
      "warning_multiplier": 123,
      "critical_multiplier": 123
    },
    "warning_threshold": 123,
    "critical_threshold": 123,
    "enable_notification": true,
    "segment": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "definition": "<string>"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://handbook.fiddler.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

alert_id
string<uuid>
required

alert id path parameter

Body

application/json
name
string

Name of the Alert Rule.

warning_threshold
number<float> | null

Warning threshold for the Alert Rule.

critical_threshold
number<float>

Critical threshold for the Alert Rule.

evaluation_delay
number<integer>

Evaluation Delay for the Alert Rule. It is in number of hours.

priority
enum<string>
Available options:
HIGH,
MEDIUM,
LOW
enable_notification
boolean

Indicates whether notifications are enabled for the Alert Rule.

auto_threshold_params
object

Auto threshold parameters for the Alert Rule. These parameters are used to tweak the calculations of the thresholds.

Response

Get detail info

Response object for standard API responses.

api_version
enum<string>
default:3.0

API version.

Available options:
2.0,
3.0
kind
enum<string>
default:NORMAL

Type of response, indicating a normal response.

Available options:
NORMAL
data
object